Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class ResultVariableRefNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.ResultVariableRefNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode

    public class ResultVariableRefNode

extends HqlSqlWalkerNode

Represents a reference to a result_variable as defined in the JPA 2 spec. For example: `select v as value from tab1 order by value`

"value" used in the order by clause is a reference to the result_variable, "value", defined in the select clause.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ResultVariableRefNode()`

Method Summary
`String` | `getRenderText(SessionFactoryImplementor sessionFactory)` Retrieve the text to be used for rendering this particular node.
`void` | `setSelectExpression(SelectExpression selectExpression)` Set the select expression that defines the result variable.

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResultVariableRefNode

    public ResultVariableRefNode()

Method Detail

### setSelectExpression

    public void setSelectExpression(SelectExpression selectExpression)
                             throws antlr.SemanticException

  Set the select expression that defines the result variable.

  Parameters:
    `selectExpression` - the select expression; selectExpression.getAlias() must be non-null
  Throws:
    `antlr.SemanticException` - if selectExpression or selectExpression.getAlias() is null.

### getRenderText

    public String getRenderText(SessionFactoryImplementor sessionFactory)

  Retrieve the text to be used for rendering this particular node.

  Overrides:
    `getRenderText` in class `Node`
  Parameters:
    `sessionFactory` - The session factory
  Returns:
    The text to use for rendering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.